For the complete documentation index, see llms.txt. This page is also available as Markdown.

Records API: Periods

Retrieves one specific period

get
Authorizations
BearerstringRequired
Path parameters
periodstring · uuidRequired
Responses
200

OK

PeriodIdstring · uuidOptional
PeriodNamestring · nullableOptional
PeriodEndstring · date-timeOptional
PeriodStartstring · date-timeOptional
get/api/records/periods/{period}
GET /v2/e01/api/records/periods/{period} HTTP/1.1
Bearer: YOUR_API_KEY
Accept: */*
{
  "PeriodId": "123e4567-e89b-12d3-a456-426614174000",
  "PeriodName": "text",
  "PeriodEnd": "2026-01-01T00:00:00.000Z",
  "PeriodStart": "2026-01-01T00:00:00.000Z"
}

Checks for the existence of one specific period

head
Authorizations
BearerstringRequired
Path parameters
periodstring · uuidRequired
Responses
200

OK

No content

head/api/records/periods/{period}
HEAD /v2/e01/api/records/periods/{period} HTTP/1.1
Bearer: YOUR_API_KEY
Accept: */*

No content

Collects the list of periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
Namestring · nullableOptional
EndSincestring · date-time · nullableOptional
EndBeforestring · date-time · nullableOptional
StartSincestring · date-time · nullableOptional
StartBeforestring · date-time · nullableOptional
Responses
200

OK

PeriodIdstring · uuidOptional
PeriodNamestring · nullableOptional
PeriodEndstring · date-timeOptional
PeriodStartstring · date-timeOptional
post/api/records/periods/collect
POST /v2/e01/api/records/periods/collect HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 173

{
  "Name": "text",
  "EndSince": "2026-01-01T00:00:00.000Z",
  "EndBefore": "2026-01-01T00:00:00.000Z",
  "StartSince": "2026-01-01T00:00:00.000Z",
  "StartBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

[
  {
    "PeriodId": "123e4567-e89b-12d3-a456-426614174000",
    "PeriodName": "text",
    "PeriodEnd": "2026-01-01T00:00:00.000Z",
    "PeriodStart": "2026-01-01T00:00:00.000Z"
  }
]

Counts the periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
Namestring · nullableOptional
EndSincestring · date-time · nullableOptional
EndBeforestring · date-time · nullableOptional
StartSincestring · date-time · nullableOptional
StartBeforestring · date-time · nullableOptional
Responses
200

OK

Countinteger · int32Optional
Summarystring · nullableOptional
post/api/records/periods/count
POST /v2/e01/api/records/periods/count HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 173

{
  "Name": "text",
  "EndSince": "2026-01-01T00:00:00.000Z",
  "EndBefore": "2026-01-01T00:00:00.000Z",
  "StartSince": "2026-01-01T00:00:00.000Z",
  "StartBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

{
  "Count": 1,
  "Summary": "text"
}

Downloads the list of periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
Namestring · nullableOptional
EndSincestring · date-time · nullableOptional
EndBeforestring · date-time · nullableOptional
StartSincestring · date-time · nullableOptional
StartBeforestring · date-time · nullableOptional
Responses
200

OK

No content

post/api/records/periods/download
POST /v2/e01/api/records/periods/download HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 173

{
  "Name": "text",
  "EndSince": "2026-01-01T00:00:00.000Z",
  "EndBefore": "2026-01-01T00:00:00.000Z",
  "StartSince": "2026-01-01T00:00:00.000Z",
  "StartBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

No content

Searches for the list of periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
Namestring · nullableOptional
EndSincestring · date-time · nullableOptional
EndBeforestring · date-time · nullableOptional
StartSincestring · date-time · nullableOptional
StartBeforestring · date-time · nullableOptional
Responses
200

OK

Idstring · uuidOptional
Namestring · nullableOptional
post/api/records/periods/search
POST /v2/e01/api/records/periods/search HTTP/1.1
Bearer: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 173

{
  "Name": "text",
  "EndSince": "2026-01-01T00:00:00.000Z",
  "EndBefore": "2026-01-01T00:00:00.000Z",
  "StartSince": "2026-01-01T00:00:00.000Z",
  "StartBefore": "2026-01-01T00:00:00.000Z"
}
200

OK

[
  {
    "Id": "123e4567-e89b-12d3-a456-426614174000",
    "Name": "text"
  }
]

Last updated

Was this helpful?